Show / Hide Table of Contents

# Class Window

A toplevel view that draws a frame around its region and has a "ContentView" subview where the contents are added.

##### Inheritance

System.Object
Responder
View
Toplevel
Window
Dialog

##### Inherited Members

Responder.MouseEvent(MouseEvent)
Toplevel.CanFocus
Toplevel.Create()
Toplevel.ProcessKey(KeyEvent)
Toplevel.Running
View.Add(View[])
View.AddCh(Int32, Int32, Int32)
View.Bounds
View.ChildNeedsDisplay()
View.Clear()
View.ClearNeedsDisplay()
View.ColorScheme
View.DrawFrame(Rect, Boolean)
View.DrawHotString(String, Boolean, ColorScheme)
View.DrawHotString(String, Attribute, Attribute)
View.Driver
View.EnsureFocus()
View.Focused
View.FocusFirst()
View.FocusLast()
View.FocusNext()
View.FocusPrev()
View.Frame
View.HasFocus
View.Id
View.LayoutSubviews()
View.MostFocused
View.Move(Int32, Int32)
View.PositionCursor()
View.ProcessColdKey(KeyEvent)
View.ProcessHotKey(KeyEvent)
View.Remove(View)
View.RemoveAll()
View.ScreenToView(Int32, Int32)
View.SetFocus(View)
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.Subviews
View.SuperView
View.ToString()
View.WantMousePositionReports

###### Namespace: Terminal

###### Assembly: Terminal.dll

##### Syntax

    public class Window : Terminal.Toplevel, System.Collections.IEnumerable

### Constructors

#### Window(Rect, String)

Initializes a new instance of the Window class with an optioanl title

##### Declaration

    public Window (Terminal.Rect frame, string title = null);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | frame | Frame.
System.String | title | Title.

### Properties

#### Title

The title to be displayed for this window.

##### Declaration

    public string Title { get; set; }

##### Property Value

Type | Description
--- | ---
System.String | The title.

### Methods

#### Add(View)

Add the specified view to the ContentView.

##### Declaration

    public override void Add (Terminal.View view);

##### Parameters

Type | Name | Description
--- | --- | ---
View | view | View to add to the window.

#### GetEnumerator()

Enumerates the various views in the ContentView.

##### Declaration

    public System.Collections.IEnumerator GetEnumerator ();

##### Returns

Type | Description
--- | ---
System.Collections.IEnumerator | The enumerator.

#### Redraw(Rect)

##### Declaration

    public override void Redraw (Terminal.Rect bounds);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | bounds | To be added.